Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util.serializer.encodings
Class CharacterSet

    java.lang.Object
      org.exist.util.serializer.encodings.CharacterSet

Direct Known Subclasses:
  ASCIICharSet, KOI8RCharSet, Latin1CharSet, Latin2CharSet, UnicodeCharSet

public abstract class CharacterSet
extends java.lang.Object

Constructor Summary
`CharacterSet()`

Method Summary
`static CharacterSet` | `getCharacterSet(java.lang.String encoding)`
`abstract boolean` | `inCharacterSet(char ch)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterSet

    public CharacterSet()

Method Detail

### inCharacterSet

    public abstract boolean inCharacterSet(char ch)

### getCharacterSet

    public static CharacterSet getCharacterSet(java.lang.String encoding)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.